/*! \file *********************************************************************
 *
 * \brief
 *      Timerfunktionen  
 *
 * \par Projekt:
 *      Beatmungsgeraet - Bediencontroller - TRENDvent \n
 *      Prozessor: ATmega2560 \n
 *		Frequenz: 14.7456 MHz
 *
 * \author 
 *      Hoffrichter GmbH: http://www.hoffrichter.com \n
 *      Support email: info@hoffrichter.de
 *
 * Name: Steffen Graap
 * Date: 18.07.2008  \n
 ******************************************************************************/

#include <avr/io.h>
#include <avr/interrupt.h>
#include "_task.h"
#include "_main.h"

extern TIMER_RESOLUTION tTimeDelay;				//!< Delay bis zum nchsten auszufhrenden Zeittask
extern TIMER_RESOLUTION tTimeDelayOffset;		//!< Offset der entsteht, wenn Abarbeitung in der Programmschleife verzgert wird
extern volatile UINT8 u8glbInterupt_Status;

#if defined (DOXYGEN)
void TIMER2_OVF_vect (void)
#else
ISR (TIMER2_OVF_vect)
#endif
{
static UINT8 u8Timer0Ticks = 0;
TCNT2 -= 0xE6;								//Timer neu initialiseren

++u8Timer0Ticks;
//******************************* Taskzeit verringern *******************************
if (tTimeDelay) --tTimeDelay;				//wenn Delay grer 0, Delay verringern
else if (tTimeDelayOffset != (TIMER_RESOLUTION)0 - 1) ++tTimeDelayOffset;//wenn Delay == 0, Offset fr Verzgerung zahlen
}
